searchNodes=[{"ref":"NimbleStrftime.html","title":"NimbleStrftime","type":"module","doc":"Simple datetime formatting based on the strftime format found on UNIX-like systems. Formatting syntax The formatting syntax for strftime is a sequence of characters in the following format: %&lt;padding&gt;&lt;width&gt;&lt;format&gt; where: %: indicates the start of a formatted section &lt;padding&gt;: is an option to set the padding of the formatted section and accepts the following options &lt;width&gt;: a number indicating the minimun size of the formatted section &lt;format&gt;: the format iself, dictates what info is shown on this formatted section Accepted padding options -: no padding, removes all padding from the format _: pad with spaces 0: pad with zeroes Accepted formats The accepted formats are: FormatDescriptionExamples (in ISO) aAbbreviated name of dayMon AFull name of dayMonday bAbbreviated month nameJan BFull month nameJanuary cPreferred date+time representation2018-10-17 12:34:56 dDay of the month01, 12 fMicroseconds (does not support width and padding modifiers)000000, 999999, 0123 HHour using a 24-hour clock00, 23 IHour using a 12-hour clock01, 12 jDay of the year001, 366 mMonth01, 12 MMinute00, 59 p&quot;AM&quot; or &quot;PM&quot; (noon is &quot;PM&quot;, midnight as &quot;AM&quot;)AM, PM P&quot;am&quot; or &quot;pm&quot; (noon is &quot;pm&quot;, midnight as &quot;am&quot;)am, pm qQuarter1, 2, 3, 4 SSecond00, 59, 60 uDay of the week01 (monday), 07 (sunday) xPreferred date (without time) representation2018-10-17 XPreferred time (without date) representation12:34:56 yYear as 2-digits01, 01, 86, 18 YYear-0001, 0001, 1986 z+hhmm/-hhmm time zone offset from UTC (empty string if naive)+0300, -0530 ZTime zone abbreviation (empty string if naive)CET, BRST %Literal &quot;%&quot; character% Any other character will be interpreted as an invalid format and raise an error"},{"ref":"NimbleStrftime.html#format/3","title":"NimbleStrftime.format/3","type":"function","doc":"Formats received datetime into a string. The datetime can be any of the Calendar types (Time, Date, NaiveDateTime, and DateTime) or any map, as long as they contain all of the relevant fields necessary for formatting. For example, if you use %Y to format the year, the datatime must have the :year field. Therefore, if you pass a Time, or a map without the :year field to a format that expects %Y, an error will be raised. Options :preferred_datetime - a string for the preferred format to show datetimes, it can&#39;t contain the %c format and defaults to &quot;%Y-%m-%d %H:%M:%S&quot; if the option is not received :preferred_date - a string for the preferred format to show dates, it can&#39;t contain the %x format and defaults to &quot;%Y-%m-%d&quot; if the option is not received :preferred_time - a string for the preferred format to show times, it can&#39;t contain the %X format and defaults to &quot;%H:%M:%S&quot; if the option is not received :am_pm_names - a function that receives either :am or :pm and returns the name of the period of the day, if the option is not received it defaults to a function that returns &quot;am&quot; and &quot;pm&quot;, respectively :month_names - a function that receives a number and returns the name of the corresponding month, if the option is not received it defaults to a function thet returns the month names in english :abbreviated_month_names - a function that receives a number and returns the abbreviated name of the corresponding month, if the option is not received it defaults to a function thet returns the abbreviated month names in english :day_of_week_names - a function that receives a number and returns the name of the corresponding day of week, if the option is not received it defaults to a function that returns the day of week names in english :abbreviated_day_of_week_names - a function that receives a number and returns the abbreviated name of the corresponding day of week, if the option is not received it defaults to a function that returns the abbreviated day of week names in english Examples Without options: iex&gt; NimbleStrftime.format(~U[2019-08-26 13:52:06.0Z], &quot;%y-%m-%d %I:%M:%S %p&quot;) &quot;19-08-26 01:52:06 PM&quot; iex&gt; NimbleStrftime.format(~U[2019-08-26 13:52:06.0Z], &quot;%a, %B %d %Y&quot;) &quot;Mon, August 26 2019&quot; iex&gt; NimbleStrftime.format(~U[2019-08-26 13:52:06.0Z], &quot;%c&quot;) &quot;2019-08-26 13:52:06&quot; With options: iex&gt; NimbleStrftime.format(~U[2019-08-26 13:52:06.0Z], &quot;%c&quot;, preferred_datetime: &quot;%H:%M:%S %d-%m-%y&quot;) &quot;13:52:06 26-08-19&quot; iex&gt; NimbleStrftime.format( ...&gt; ~U[2019-08-26 13:52:06.0Z], ...&gt; &quot;%A&quot;, ...&gt; day_of_week_names: fn day_of_week -&gt; ...&gt; {&quot;segunda-feira&quot;, &quot;terça-feira&quot;, &quot;quarta-feira&quot;, &quot;quinta-feira&quot;, ...&gt; &quot;sexta-feira&quot;, &quot;sábado&quot;, &quot;domingo&quot;} ...&gt; |&gt; elem(day_of_week - 1) ...&gt; end ...&gt;) &quot;segunda-feira&quot; iex&gt; NimbleStrftime.format( ...&gt; ~U[2019-08-26 13:52:06.0Z], ...&gt; &quot;%B&quot;, ...&gt; month_names: fn month -&gt; ...&gt; {&quot;январь&quot;, &quot;февраль&quot;, &quot;март&quot;, &quot;апрель&quot;, &quot;май&quot;, &quot;июнь&quot;, ...&gt; &quot;июль&quot;, &quot;август&quot;, &quot;сентябрь&quot;, &quot;октябрь&quot;, &quot;ноябрь&quot;, &quot;декабрь&quot;} ...&gt; |&gt; elem(month - 1) ...&gt; end ...&gt;) &quot;август&quot;"}]